# $Revision: 1.33.2.1 $, $Date: 2003/03/13 00:56:40 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	BSD
%define		pnam	Resource
Summary:	Perl module with BSD process resource limit functions
Summary(pl):	Modu Perla z funkcjami BSD obsugujcymi limity zasobw dla procesw
Name:		perl-BSD-Resource
Version:	1.22
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl extension implements the BSD process resource limit
functions (getrusage(), getrlimit(), setrlimit()) and the BSD process
priority functions. These are available also via core Perl but here we
do more tricks so that the PRIO_* are available (getpriority(),
setpriority()).

%description -l pl
To rozszerzenie Perle jest implementacj funkcji BSD dotyczcych
limitw zasobw dla procesw (getrusage(), getrlimit(), setrlimit())
oraz funkcji BSD zwizanych z priorytetami procesw. S one dostpne
take z podstawowego Perla, ale ten modu pozwala na wicej sztuczek,
bo dostpne s PRIO_* (getpriority(), setpriority()).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitearch}/BSD/Resource.pm
%dir %{perl_sitearch}/auto/BSD/Resource
%{perl_sitearch}/auto/BSD/Resource/*.al
%{perl_sitearch}/auto/BSD/Resource/autosplit.ix
%{perl_sitearch}/auto/BSD/Resource/Resource.bs
%attr(755,root,root) %{perl_sitearch}/auto/BSD/Resource/Resource.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-BSD-Resource.spec,v $
Revision 1.33.2.1  2003/03/13 00:56:40  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.33  2003/02/25 00:36:48  radek
- use the __perl macro

Revision 1.32  2003/02/18 15:26:46  ankry
- massive attack: change CPAN URLs

Revision 1.31  2003/02/16 22:57:42  qboosh
- longer pl description (based on new en)

Revision 1.30  2003/02/14 13:51:06  mis
- removed stupid Summries

Revision 1.29  2003/02/14 13:47:14  mis
- autoupdated to 1.22

Revision 1.28  2003/01/07 13:08:39  mis
- autoupdated to 1.21

Revision 1.27  2002/11/26 09:59:01  mis
- autoupdated to 1.20

Revision 1.26  2002/11/21 16:37:40  mis
- autoupdated to 1.18

Revision 1.25  2002/09/22 14:21:01  kloczek
- (auto)updated to 1.17: bug fixes.

Revision 1.24  2002/07/16 11:31:02  ankry
- translations, cleaning
- release 2

Revision 1.23  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.22  2002/07/11 07:57:07  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 19:31:06  kloczek
- adapterized.

Revision 1.16  2002/02/13 14:09:42  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:24:23  depesz
adapterized

Revision 1.14  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/01 09:43:10  mis
- autoupdated to 1.11

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:05:21  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/15 10:26:22  mis
- updated (by autoup) to 1.10

Revision 1.8  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/09 17:27:29  baggins
- updated to 1.09

Revision 1.6  2000/12/27 18:30:20  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.1  1999/11/08 14:39:52  pius
- initial release
